aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2019-10-27 20:17:35 +0100
committerJakub Jirutka <jakub@jirutka.cz>2019-10-27 20:25:27 +0100
commit56698fa6d62233186afc3e487b5acde2f196550c (patch)
tree410952d38e43d0fb30eef58a1cf6a6e53ff1ea77
parent5681c8e06c3b98f9e0e5e5ad568d283fe7583dfa (diff)
downloadaports-56698fa6d62233186afc3e487b5acde2f196550c.tar.bz2
aports-56698fa6d62233186afc3e487b5acde2f196550c.tar.xz
main/ruby: remove bundled CA certificates
-rw-r--r--main/ruby/APKBUILD4
1 files changed, 4 insertions, 0 deletions
diff --git a/main/ruby/APKBUILD b/main/ruby/APKBUILD
index 82b39c69a3..ecc1ba9a5a 100644
--- a/main/ruby/APKBUILD
+++ b/main/ruby/APKBUILD
@@ -155,6 +155,10 @@ package() {
subpkgdir=".trash" _mvgem bundler && rm -Rf .trash
rm usr/bin/bundle usr/bin/bundler
+ # Remove bundled CA certificates; they are provided by ca-certificates.
+ rm "$pkgdir"/$_rubydir/rubygems/ssl_certs/*/*.pem
+ rmdir "$pkgdir"/$_rubydir/rubygems/ssl_certs/* || true
+
rm -Rf "$pkgdir"/$_gemdir/cache/*
if [ -d "$pkgdir"/usr/local ]; then